## Name

ALTER AGGREGATE — change the definition of an aggregate function

## Synopsis

    ALTER AGGREGATE name ( type ) RENAME TO newname
    ALTER AGGREGATE name ( type ) OWNER TO newowner

## Description

`ALTER AGGREGATE` changes the definition of an aggregate function.

## Parameters

`name`

  The name (optionally schema-qualified) of an existing aggregate function.

`type`

  The argument data type of the aggregate function, or `*` if the function accepts any data type.

`newname`

  The new name of the aggregate function.

`newowner`

  The new owner of the aggregate function. You must be a superuser to change an aggregate's owner.

## Examples

To rename the aggregate function `myavg` for type `integer` to `my_average`:

    ALTER AGGREGATE myavg(integer) RENAME TO my_average;

To change the owner of the aggregate function `myavg` for type `integer` to `joe`:

    ALTER AGGREGATE myavg(integer) OWNER TO joe;

## Compatibility

There is no `ALTER AGGREGATE` statement in the SQL standard.

## See Also

CREATE AGGREGATE, DROP AGGREGATE